<?php

namespace TablesRouter;

class Sammlung {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function createMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL($id, $values, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;$params['values'] = $values;
		return self::createMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL2($params);
	
    
  }

  public static function editMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL($id, $values, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;$params['values'] = $values;
		return self::editMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitgliedURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitgliedURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitgliedURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitgliedURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlungURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlungURL2($params);
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlungURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlungURL2($params);
	
    
  }

  public static function searchOptionssammlungMitglied_sammlung_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionssammlungMitglied_sammlung_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_create_sammlungURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_sammlungMitglied_create_sammlungURL2($params);
	
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_edit_sammlungURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_sammlungMitglied_edit_sammlungURL2($params);
	
    
  }

  public static function renderEditsammlungMitglied_sammlung_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditsammlungMitglied_sammlung_deletecascadeURL2($params);
	
    
  }

  public static function renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params);
	
    
  }

  public static function renderEditform_wf_sammlungMitglied_create_sammlungURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_sammlungMitglied_create_sammlungURL2($params);
	
    
  }

  public static function renderEditform_wf_sammlungMitglied_edit_sammlungURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_sammlungMitglied_edit_sammlungURL2($params);
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\Sammlung::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\Sammlung::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')) {
		try {
			$result = \Tables\Sammlung::createAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\Sammlung::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitgliedAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitgliedAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchform') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlung') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlungAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlung') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlungAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'createMatrixMatrix_sammlungMitglied_sammlung_mitglied') && isset($_GET['id'])   && isset($_GET['values'])  ) {
		try {
			$result = \Tables\Sammlung::createMatrixMatrix_sammlungMitglied_sammlung_mitgliedAction($_GET['id'], $_GET['values']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'editMatrixMatrix_sammlungMitglied_sammlung_mitglied') && isset($_GET['id'])   && isset($_GET['values'])  ) {
		try {
			$result = \Tables\Sammlung::editMatrixMatrix_sammlungMitglied_sammlung_mitgliedAction($_GET['id'], $_GET['values']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionssammlungMitglied_sammlung_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Sammlung::searchOptionssammlungMitglied_sammlung_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Sammlung::searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Sammlung::searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_sammlungMitglied_create_sammlung') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Sammlung::searchOptionsform_wf_sammlungMitglied_create_sammlungAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_sammlungMitglied_edit_sammlung') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Sammlung::searchOptionsform_wf_sammlungMitglied_edit_sammlungAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditsammlungMitglied_sammlung_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Sammlung::renderEditsammlungMitglied_sammlung_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Sammlung::renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Sammlung::renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_sammlungMitglied_create_sammlung') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Sammlung::renderEditform_wf_sammlungMitglied_create_sammlungAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_sammlungMitglied_edit_sammlung') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Sammlung::renderEditform_wf_sammlungMitglied_edit_sammlungAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Sammlung::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\Sammlung::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/createMatrixMatrix_sammlungMitglied_sammlung_mitglied';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editMatrixMatrix_sammlungMitglied_sammlung_mitgliedURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/editMatrixMatrix_sammlungMitglied_sammlung_mitglied';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitgliedURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitgliedURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchform';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionssammlungMitglied_sammlung_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/searchOptionssammlungMitglied_sammlung_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_create_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/searchOptionsform_wf_sammlungMitglied_create_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_edit_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/searchOptionsform_wf_sammlungMitglied_edit_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditsammlungMitglied_sammlung_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/renderEditsammlungMitglied_sammlung_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_sammlungMitglied_create_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/renderEditform_wf_sammlungMitglied_create_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_sammlungMitglied_edit_sammlungURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Sammlung/renderEditform_wf_sammlungMitglied_edit_sammlung';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung())))) return false;
    // --- BLOCK: access-itemlist-sammlung-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getSammlung()).'), false) THEN 0 ELSE 1 END) FROM '.qi('sammlung').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung())))) return false;
    // --- BLOCK: access-itemlist-sammlung-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getSammlung()).'), false) THEN 0 ELSE 1 END) FROM '.qi('sammlung').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung())))) return false;
    // --- BLOCK: access-item-sammlung-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getSammlung()).') FROM '.qi('sammlung').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createMatrixMatrix_sammlungMitglied_sammlung_mitgliedAccess($id, $values) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung()) && (\FOP\User::getSammlung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editMatrixMatrix_sammlungMitglied_sammlung_mitgliedAccess($id, $values) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getSammlung()) && (\FOP\User::getSammlung())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_formarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitgliedAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitgliedAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchformAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_create_sammlungAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchCa8cb255e8a2a13dd6125fc7843613b49000d7ec23a8ceff65e9e3600c4598b2_fetchconstr_form_wf_sammlungMitglied_edit_sammlungAccess($id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionssammlungMitglied_sammlung_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_create_sammlungAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_sammlungMitglied_edit_sammlungAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditsammlungMitglied_sammlung_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_sammlung_create_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_sammlung_edit_matrix_sammlungMitglied_sammlung_mitglied_sammlungAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_sammlungMitglied_create_sammlungAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_sammlungMitglied_edit_sammlungAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



